# HomeManager (HyStuff 1.0.1 API)
declaration: package: net.miarma.hystuff.common, class: HomeManager

# Class HomeManager

java.lang.Object
net.miarma.hystuff.common.HomeManager

public class HomeManager extends Object

## Method Summary

Modifier and Type
Method
Description
`Location`
`getHome(UUID playerUuid)`
`int`
`getHomeCount()`
`static HomeManager`
`getInstance(Path dataDir, com.hypixel.hytale.logger.HytaleLogger logger)`
`boolean`
`hasHome(UUID playerUuid)`
`void`
`removeHome(UUID playerUuid)`
`void`
`save()`
`void`
`setHome(UUID playerUuid, com.hypixel.hytale.server.core.universe.world.World world, com.hypixel.hytale.math.vector.Vector3d position, com.hypixel.hytale.math.vector.Vector3f rotation)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getInstance

public static HomeManager getInstance(@Nonnull Path dataDir, @Nonnull com.hypixel.hytale.logger.HytaleLogger logger)

### save

public void save()

### setHome

public void setHome(@Nonnull UUID playerUuid, @Nonnull com.hypixel.hytale.server.core.universe.world.World world, @Nonnull com.hypixel.hytale.math.vector.Vector3d position, @Nonnull com.hypixel.hytale.math.vector.Vector3f rotation)

### getHome

@Nullable public Location getHome(@Nonnull UUID playerUuid)

### hasHome

public boolean hasHome(@Nonnull UUID playerUuid)

### removeHome

public void removeHome(@Nonnull UUID playerUuid)

### getHomeCount

public int getHomeCount()